---
title: "Get the list of members"
url: "https://docs.signnow.com/docs/organization/operations/get-v2-organizations-org-id-members"
type: "endpoint"
section: "organization"
slug: "organization/operations/get-v2-organizations-org-id-members"
method: "GET"
path: "/v2/organizations/{org_id}/members"
operation_id: "get-v2-organizations-org-id-members"
authorization: "bearer"
---

# Get the list of members

`GET /v2/organizations/{org_id}/members`

This endpoint allows API users to retrieve all members of an organization.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `org_id` | string | Yes | ID of the requested organization. |

## Query Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `filters:email` | string | No | Filter by email. Format: `?filters=[{"email":{"type": "=", "value": user_email}}]` (email should be encoded as url) |
| `filter:type` | string | No | Filter by organization type. Possible values: active, pending, declined. Format: ?filters=[{"status":{"type": "=", "value":"active/pending/declined"}}] |
| `sort:email` | string | No | Sort results in ascending or descending order. Possible values: asc/desc. Format: `?sort[email]=asc` |

## Responses

### 200

Successful response. Returns the list of organization members.

**Example** (`Successful response`)

```json
{
  "data": [
    {
      "id": "d202bea20bbda0df3b2a1324a1d710974d9e4865",
      "email": "signnow.user@email.com",
      "status": "active",
      "last_login": {
        "ip": "2X.XX.XXX.X",
        "created_at": 1592481155,
        "last_login": 1603199032,
        "user_agent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_13_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/86.0.4240.75 Safari/537.36",
        "application": "Sample Application"
      }
    },
    {
      "id": "af7065e55cf4d8421d68431c867153e3e569d9a7",
      "email": "another.signnow.user@email.com",
      "status": "pending",
      "last_login": {
        "ip": "1X.XX.XXX.X",
        "created_at": 1592481156,
        "last_login": 1603199033,
        "user_agent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_13_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/86.0.4240.75 Safari/537.36",
        "application": "Sample Application 2"
      }
    }
  ],
  "meta": {
    "pagination": {
      "count": 1,
      "links": [],
      "total": 1,
      "per_page": 15,
      "total_pages": 1,
      "current_page": 1
    }
  }
}
```

### 400

* Wrong, expired, or missing token.
* The filter name isn't supported.
* The `email` filter value isn't a string.
* The `email` filter `type` isn't `=`.
* The filter doesn't have `type` and `value`.

**Example** (`Wrong token`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

**Example** (`Unsupported filter`)

```json
{
  "errors": [
    {
      "code": 12006006,
      "message": "Unsupported filter mail was given."
    }
  ]
}
```

**Example** (`Wrong filter format`)

```json
{
  "errors": [
    {
      "code": 12007004,
      "message": "Invalid filter format, filter must have `type` and `value` fields"
    }
  ]
}
```

**Example** (`Wrong email filter type`)

```json
{
  "errors": [
    {
      "code": 12007002,
      "message": "The `email` filter expression should be equal to `=`"
    }
  ]
}
```

**Example** (`email filter not a string`)

```json
{
  "errors": [
    {
      "code": 12007003,
      "message": "The `email` filter value should be of type string"
    }
  ]
}
```

### 403

* The user isn't an admin or moderator of the organization.
* The user doesn't have an active trial, Professional, or Enterprise subscription.

**Example** (`No subscription`)

```json
{
  "errors": [
    {
      "code": 12003002,
      "message": "Access denied for current subscription."
    }
  ]
}
```

**Example** (`Not an admin or moderator`)

```json
{
  "errors": [
    {
      "code": 12003003,
      "message": "Access denied for current administration role in your organization."
    }
  ]
}
```

### 404

The organization doesn't exist or isn't active.

**Example** (`Organization not found`)

```json
{
  "errors": [
    {
      "code": 12003001,
      "message": "Organization `0aa11112b0ed40aab8cab111a76a6eea07f0000e` is not found."
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/v2/organizations/{org_id}/members" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/organization/operations/get-v2-organizations-org-id-members*
